[Qa-jenkins-scm] [jenkins.debian.net] 01/01: fail loudly if remote node is not accessable

Holger Levsen holger at layer-acht.org
Sat Jun 3 22:44:39 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit ec47adff5b4b4900868f8337a5a2041bb7bf7796
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sun Jun 4 00:44:34 2017 +0200

    fail loudly if remote node is not accessable
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/jenkins_master_wrapper.sh | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/bin/jenkins_master_wrapper.sh b/bin/jenkins_master_wrapper.sh
index 9301275..71f9b43 100755
--- a/bin/jenkins_master_wrapper.sh
+++ b/bin/jenkins_master_wrapper.sh
@@ -55,9 +55,15 @@ ssh -o "BatchMode = yes" -p $PORT $NODE_NAME /bin/true
 RESULT=$?
 # abort job if host is down
 if [ $RESULT -ne 0 ] ; then
-	echo "$(date -u) - $NODE_NAME seems to be down, sleeping 15min before aborting this job."
+	#
+	# this should abort (=no success, but also no status change mails…) but as
+	# this somehow doesnt work anymore, rather error out to see the breakage…
+	#
+	#echo "$(date -u) - $NODE_NAME seems to be down, sleeping 15min before aborting this job."
+	echo "$(date -u) - $NODE_NAME seems to be down, exiting with error."
 	sleep 15m
-	exec /srv/jenkins/bin/abort.sh
+	exit 1
+	#exec /srv/jenkins/bin/abort.sh
 fi
 set -e
 #

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list